SchoolScout API
User email promptsPromptidDuplicate

Duplicate email prompt template

Create a copy of an existing email prompt template.

POST
/user-email-prompts/{promptId}/duplicate

Create a copy of an existing email prompt template.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

promptId*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/user-email-prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "user_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "string",
  "description": "string",
  "system_prompt": "string",
  "instruction_prompt": "string",
  "emails_generated": -9007199254740991,
  "created_at": "string",
  "updated_at": "string"
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty